Planbok V2 API
string · requiredstring · uuid · requiredstring · requiredstringbooleanintegerstring
integerintegerstring · enumstring · requiredbooleaninteger
Create Wallet Set
POST
https://api.planbok.io
/v2/organization/wallet-sets
Creates a new wallet set for the organization.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Create Wallet Set › Request Body
idempotencyKeyA unique UUID v4 to ensure request idempotency.
nameName of the wallet set.
encryptedOrganizationSecretRequired only for organizations operating in trustless MPC mode. Must be a base64 encoded ciphertext.
Create Wallet Set › Responses
Wallet set created successfully
successstatusmessageobject
Update Wallet Set Name
PUT
https://api.planbok.io
/v2/organization/wallet-sets/{id}
List Wallet Sets
GET
https://api.planbok.io
/v2/wallet-sets
Returns a list of wallet sets for the organization.
query Parameters
pageDefault: 1
limitDefault: 10
orderEnum values:
asc
desc
Default: desc
Headers
PLANBOK-X-API-KEYAPI key for authentication
List Wallet Sets › Responses
200
List of wallet sets
successstatusobject
object[]